## GstVulkanVideoCapabilities

Since : 1.24

## GstVulkan.VulkanVideoCapabilities

Since : 1.24

## GstVulkan.VulkanVideoCapabilities

Since : 1.24

## GstVulkanVideoProfile

### Members

`usage.decode` (VkVideoDecodeUsageInfoKHR) –
No description available
`usage.encode` (VkVideoEncodeUsageInfoKHR) –
No description available
`base` (VkBaseInStructure) –
No description available
`h264dec` (VkVideoDecodeH264ProfileInfoKHR) –
No description available
`h265dec` (VkVideoDecodeH265ProfileInfoKHR) –
No description available
`h264enc` (VkVideoEncodeH264ProfileInfoKHR) –
No description available
`h265enc` (VkVideoEncodeH265ProfileInfoKHR) –
No description available
`_reserved` (gpointer *) –
No description available

Since : 1.24

## GstVulkan.VulkanVideoProfile

### Members

`_reserved (not introspectable)` ([ Object ]) –
No description available

Since : 1.24

## GstVulkan.VulkanVideoProfile

### Members

`_reserved (not introspectable)` ([ object ]) –
No description available

Since : 1.24

### Methods

#### gst_vulkan_video_profile_is_equal

    gboolean
    gst_vulkan_video_profile_is_equal (const GstVulkanVideoProfile * a,
                                       const GstVulkanVideoProfile * b)

Parameters:

`a` –

a GstVulkanVideoProfile

`b` –

another GstVulkanVideoProfile

Returns –

whether a and b contains the same information.

#### GstVulkan.VulkanVideoProfile.prototype.is_equal

    function GstVulkan.VulkanVideoProfile.prototype.is_equal(b: GstVulkan.VulkanVideoProfile): {
        // javascript wrapper for 'gst_vulkan_video_profile_is_equal'
    }

Parameters:

`a` (GstVulkan.VulkanVideoProfile) –

a GstVulkan.VulkanVideoProfile

`b` (GstVulkan.VulkanVideoProfile) –

another GstVulkan.VulkanVideoProfile

Returns (Number) –

whether a and b contains the same information.

#### GstVulkan.VulkanVideoProfile.is_equal

    def GstVulkan.VulkanVideoProfile.is_equal (self, b):
        #python wrapper for 'gst_vulkan_video_profile_is_equal'

Parameters:

`a` (GstVulkan.VulkanVideoProfile) –

a GstVulkan.VulkanVideoProfile

`b` (GstVulkan.VulkanVideoProfile) –

another GstVulkan.VulkanVideoProfile

Returns (bool) –

whether a and b contains the same information.

#### gst_vulkan_video_profile_is_valid

    gboolean
    gst_vulkan_video_profile_is_valid (GstVulkanVideoProfile * profile,
                                       guint codec)

Parameters:

`profile` –

the output profile

`codec` –

VkVideoCodecOperationFlagBitsKHR described by profile

Returns –

TRUE if profile is correct and matches with codec

Since : 1.24

#### gst_vulkan_video_profile_to_caps

    GstCaps *
    gst_vulkan_video_profile_to_caps (const GstVulkanVideoProfile * profile)

Parameters:

`profile` –

GstVulkanVideoProfile to convert into a GstCaps

Returns ( [transfer: full]) –

a GstCaps from profile

Since : 1.24

### Functions

#### gst_vulkan_video_profile_from_caps

    gboolean
    gst_vulkan_video_profile_from_caps (GstVulkanVideoProfile * profile,
                                        GstCaps * caps,
                                        GstVulkanVideoOperation video_operation)

Parameters:

`profile` ( [out]) –

the output profile

`caps` –

a GstCaps to parse

`video_operation` –

a supported video operation

Returns –

TRUE if caps was parsed correctly, otherwise FALSE

Since : 1.24

## Enumerations

### GstVulkanVideoOperation

The type of video operation.

##### Members

`GST_VULKAN_VIDEO_OPERATION_DECODE` (0) –

decode operation

`GST_VULKAN_VIDEO_OPERATION_ENCODE` (1) –

encode operation

`GST_VULKAN_VIDEO_OPERATION_UNKNOWN` (2) –

unknown

Since : 1.24

### GstVulkan.VulkanVideoOperation

The type of video operation.

##### Members

`GstVulkan.VulkanVideoOperation.DECODE` (0) –

decode operation

`GstVulkan.VulkanVideoOperation.ENCODE` (1) –

encode operation

`GstVulkan.VulkanVideoOperation.UNKNOWN` (2) –

unknown

Since : 1.24

### GstVulkan.VulkanVideoOperation

The type of video operation.

##### Members

`GstVulkan.VulkanVideoOperation.DECODE` (0) –

decode operation

`GstVulkan.VulkanVideoOperation.ENCODE` (1) –

encode operation

`GstVulkan.VulkanVideoOperation.UNKNOWN` (2) –

unknown

Since : 1.24

The results of the search are